Blue Guardrails

Verify Invoke Draft Tool

POST
/v1/tools/verify-invoke

Verify a complete tool definition without saving it.

Header Parameters

x-workspace-id?|

Workspace UUID for session-authenticated calls.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

A complete, non-persistent tool definition and arguments to verify.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/tools/verify-invoke" \  -H "Content-Type: application/json" \  -d '{    "input_transformation": {      "kind": "pass_through",      "schema": {}    },    "output_transformation": {      "kind": "pass_through",      "schema": {}    },    "name": "string",    "configuration": {      "kind": "mcp",      "remote_tool_name": "string"    },    "tool_provider_id": "e418656f-74dd-4ed8-b74c-4b4b7dcf0ab8",    "arguments": null  }'
{  "status": "success",  "endpoint_input": null,  "endpoint_output": null,  "tool_output": null}